﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO.IsolatedStorage;
using System.IO;


namespace testIsolatedStorage
{
    public partial class Page : UserControl
    {
        //isolatedStorage 파일을 하나 만들어 줍니다.
        IsolatedStorageFile isoFile = IsolatedStorageFile.GetUserStoreForApplication();

        public Page()
        {
            InitializeComponent();

            TextBox tb = new TextBox
            {
                Width = 30,
                Height = 20,
                HorizontalAlignment = HorizontalAlignment.Left,
                VerticalAlignment = VerticalAlignment.Top,
                Background = new SolidColorBrush(Colors.LightGray)

            };
            LayoutRoot.Children.Add(tb);

            //파일중에 testIsolated.txt 가 존재하는지 확인을 하고요 없다면
            if (isoFile.FileExists("testIsolated.txt") == false)
            {
                //testIsolated.txt 파일을 만들어 줍니다.
                IsolatedStorageFileStream isoStrem = new IsolatedStorageFileStream("testIsolated.txt", FileMode.Create, isoFile);
                StreamWriter writer = new StreamWriter(isoStrem);
                //파일에 0을 적어 줍니다.
                writer.Write(0);
                writer.Close();
            }
            else
            {
                
                //파일이 존재한다면 
                IsolatedStorageFileStream iistream = new IsolatedStorageFileStream("testIsolated.txt", FileMode.Open, isoFile);
                StreamReader reader = new StreamReader(iistream);
                //파일을 읽어 드립니다.
                int i = Convert.ToInt32(reader.ReadLine());
                i++;
                tb.Text = i.ToString();
                reader.Close();


                //파일을 덮어 버립니다. 
                IsolatedStorageFileStream isoStrem = new IsolatedStorageFileStream("testIsolated.txt", FileMode.Create, isoFile);
                StreamWriter writer = new StreamWriter(isoStrem);
                //i값을 넣어서 말이지요
                writer.Write(i);
                writer.Close();
            }
        }
    }
}
